## org.eclipse.datatools.sqltools.sql.ui.dialogs
Class SQLPainterDlg

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.datatools.sqltools.sql.ui.dialogs.SQLPainterDlg

All Implemented Interfaces:
  org.eclipse.jface.window.IShellProvider

Direct Known Subclasses:
  SQLBuilderDialog

    public abstract class SQLPainterDlg

extends org.eclipse.jface.dialogs.Dialog

Author:
  asarvesh

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`org.eclipse.jface.window.Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`SQLPainterDlg(org.eclipse.swt.widgets.Shell parentShell, java.lang.String statementType, java.lang.String statement, java.lang.String profileName, java.lang.String database, java.lang.String parametersType, java.lang.String parameter)`
`SQLPainterDlg(org.eclipse.swt.widgets.Shell parentShell, java.lang.String statementType, java.lang.String statement, java.lang.String profileName, java.lang.String database, java.lang.String parametersType, java.lang.String parameter, java.lang.String table, java.util.HashMap info)`

Method Summary
`abstract java.lang.String` `load()` Opens the visual query dialog and returns the constructed sql statements.

Methods inherited from class org.eclipse.jface.dialogs.Dialog
`applyDialogFont, close, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, create, getBlockedHandler, getImage, setBlockedHandler, shortenText`

Methods inherited from class org.eclipse.jface.window.Window
`getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLPainterDlg

    public SQLPainterDlg(org.eclipse.swt.widgets.Shell parentShell,
                         java.lang.String statementType,
                         java.lang.String statement,
                         java.lang.String profileName,
                         java.lang.String database,
                         java.lang.String parametersType,
                         java.lang.String parameter)

Parameters:
  `parentShell` -

### SQLPainterDlg

    public SQLPainterDlg(org.eclipse.swt.widgets.Shell parentShell,
                         java.lang.String statementType,
                         java.lang.String statement,
                         java.lang.String profileName,
                         java.lang.String database,
                         java.lang.String parametersType,
                         java.lang.String parameter,
                         java.lang.String table,
                         java.util.HashMap info)

Parameters:
  `parentShell` -

Method Detail

### load

    public abstract java.lang.String load()

  Opens the visual query dialog and returns the constructed sql statements.

  Returns: